Subject: Re: bug#62453: 30.0.50; Semicolon in view-lossage yields wrong alignment

From: Eli Zaretskii <[email-masked]>
Date: Wed, 29 Mar 2023 14:58:41 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Eshel Yaron <[email-masked]>,  [email-masked]
> Date: Sun, 26 Mar 2023 11:11:06 -0400
> 
> Here's another problem:
> 
>      C-x 5 2		 ;; make-frame-command
>      ;; handle-switch-frame
>      <help-echo> <help-echo> ;; handle-switch-frame
>      ;; handle-switch-frame
>      ;; handle-switch-frame
>      ;; handle-switch-frame
>      ;; handle-switch-frame
>      ;; handle-switch-frame
>      ;; handle-switch-frame
>      C-			; ;; nil
>      ; ;; self-insert-command
>      C-h l ;; view-lossage
> 
> I'm not sure why there's no `switch-frame` event but it absence leads to
> incorrectly indenting the `;; handle-switch-frame`.

Yes, but this is not a regression: Emacs 27 behaves the same.

So I've now installed my "band-aid" fix on the emacs-29 branch.

> We're probably better off indenting "by hand".

I will try to come up with a better fix for master, and will also try
to stay consistent with edmacro-format-keys while at that.